Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.support.xml
Class SqlXmlFeatureNotImplementedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessApiUsageException
                                  org.springframework.jdbc.support.xml.SqlXmlFeatureNotImplementedException

All Implemented Interfaces:
  Serializable

    public class SqlXmlFeatureNotImplementedException

extends InvalidDataAccessApiUsageException

Exception thrown when the underlying implementation does not support the requested feature of the API.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  Serialized Form

Constructor Summary
`SqlXmlFeatureNotImplementedException(String msg)` Constructor for SqlXmlFeatureNotImplementedException.
`SqlXmlFeatureNotImplementedException(String msg, Throwable cause)` Constructor for SqlXmlFeatureNotImplementedException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SqlXmlFeatureNotImplementedException

    public SqlXmlFeatureNotImplementedException(String msg)

  Constructor for SqlXmlFeatureNotImplementedException.

  Parameters:
    `msg` - the detail message

### SqlXmlFeatureNotImplementedException

    public SqlXmlFeatureNotImplementedException(String msg,
                                                Throwable cause)

  Constructor for SqlXmlFeatureNotImplementedException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.